"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var ContextualMenu_1 = require("office-ui-fabric-react/lib/ContextualMenu");
var Callout_1 = require("office-ui-fabric-react/lib/Callout");
var Button_1 = require("office-ui-fabric-react/lib/Button");
require("./ContextualMenuExample.scss");
var ContextualMenuSectionExample = (function (_super) {
    tslib_1.__extends(ContextualMenuSectionExample, _super);
    function ContextualMenuSectionExample() {
        var _this = _super.call(this) || this;
        _this.state = {
            showCallout: false
        };
        return _this;
    }
    ContextualMenuSectionExample.prototype.render = function () {
        var _this = this;
        var showCallout = this.state.showCallout;
        return (React.createElement("div", null,
            React.createElement(Button_1.DefaultButton, { id: 'ContextualMenuButton1', text: 'Click for ContextualMenu', menuProps: {
                    title: 'My Menu',
                    items: [
                        {
                            key: 'section',
                            itemType: ContextualMenu_1.ContextualMenuItemType.Section,
                            sectionProps: {
                                topDivider: true,
                                bottomDivider: true,
                                title: 'Actions',
                                items: [
                                    {
                                        key: 'newItem',
                                        name: 'New',
                                        iconProps: {
                                            iconName: 'Add'
                                        },
                                        subMenuProps: {
                                            items: [
                                                {
                                                    key: 'emailMessage',
                                                    name: 'Email message',
                                                    title: 'Create an email'
                                                },
                                                {
                                                    key: 'calendarEvent',
                                                    name: 'Calendar event',
                                                    title: 'Create a calendar event',
                                                }
                                            ],
                                        }
                                    },
                                    {
                                        key: 'upload',
                                        onClick: function () {
                                            _this.setState({ showCallout: true });
                                        },
                                        iconProps: {
                                            iconName: 'Upload',
                                            style: {
                                                color: 'salmon'
                                            }
                                        },
                                        name: 'Upload (Custom Color)',
                                        title: 'Upload a file'
                                    }
                                ]
                            }
                        },
                        {
                            key: 'section',
                            itemType: ContextualMenu_1.ContextualMenuItemType.Section,
                            sectionProps: {
                                title: 'Social',
                                items: [
                                    {
                                        key: 'share',
                                        iconProps: {
                                            iconName: 'Share'
                                        },
                                        subMenuProps: {
                                            items: [
                                                {
                                                    key: 'sharetoemail',
                                                    name: 'Share to Email',
                                                    iconProps: {
                                                        iconName: 'Mail'
                                                    },
                                                },
                                                {
                                                    key: 'sharetofacebook',
                                                    name: 'Share to Facebook',
                                                },
                                                {
                                                    key: 'sharetotwitter',
                                                    name: 'Share to Twitter',
                                                    iconProps: {
                                                        iconName: 'Share'
                                                    },
                                                    subMenuProps: {
                                                        items: [
                                                            {
                                                                key: 'sharetoemail_1',
                                                                name: 'Share to Email',
                                                                title: 'Share to Email',
                                                                iconProps: {
                                                                    iconName: 'Mail'
                                                                },
                                                            },
                                                            {
                                                                key: 'sharetofacebook_1',
                                                                name: 'Share to Facebook',
                                                                title: 'Share to Facebook',
                                                            },
                                                            {
                                                                key: 'sharetotwitter_1',
                                                                name: 'Share to Twitter',
                                                                title: 'Share to Twitter',
                                                                iconProps: {
                                                                    iconName: 'Share'
                                                                }
                                                            },
                                                        ],
                                                    },
                                                },
                                            ],
                                        },
                                        name: 'Share'
                                    },
                                    {
                                        key: 'print',
                                        iconProps: {
                                            iconName: 'Print'
                                        },
                                        name: 'Print'
                                    },
                                    {
                                        key: 'music',
                                        iconProps: {
                                            iconName: 'MusicInCollectionFill'
                                        },
                                        name: 'Music',
                                    },
                                ]
                            }
                        }
                    ]
                } }),
            showCallout && (React.createElement(Callout_1.Callout, { setInitialFocus: true, onDismiss: function () { return _this.setState({ showCallout: false }); } },
                React.createElement(Button_1.DefaultButton, { onClick: function () { return _this.setState({ showCallout: false }); }, text: 'Hello world' })))));
    };
    return ContextualMenuSectionExample;
}(React.Component));
exports.ContextualMenuSectionExample = ContextualMenuSectionExample;
//# sourceMappingURL=ContextualMenu.Section.Example.js.map